# QPolygonF Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QPolygonF()
- void QPolygonF(QPolygon a)
- void QPolygonF(QPolygonF a)
- void QPolygonF(QRectF r)
- void QPolygonF(List v)
- void QPolygonF(int size)

### Constructor Properties

- prototype: The QPolygonF prototype object
- List fromList(List list)

### Prototype Object Properties

- void append(QPointF t)
- QPointF at(int i)
- QRectF boundingRect()
- int capacity()
- void clear()
- bool contains(QPointF t)
- bool containsPoint(QPointF pt, FillRule fillRule)
- int count()
- bool empty()
- bool endsWith(QPointF t)
- List fill(QPointF t, int size)
- QPointF first()
- int indexOf(QPointF t, int from)
- QPolygonF intersected(QPolygonF r)
- bool isClosed()
- bool isEmpty()
- bool isSharedWith(List other)
- QPointF last()
- int lastIndexOf(QPointF t, int from)
- List mid(int pos, int length)
- bool operator_equal(List v)
- void pop_back()
- void pop_front()
- void prepend(QPointF t)
- void push_back(QPointF t)
- void push_front(QPointF t)
- void readFrom(QDataStream stream)
- void remove(int i)
- void replace(int i, QPointF t)
- void reserve(int size)
- void resize(int size)
- void setSharable(bool sharable)
- int size()
- void squeeze()
- bool startsWith(QPointF t)
- QPolygonF subtracted(QPolygonF r)
- void swap(QPolygonF other)
- List toList()
- QPolygon toPolygon()
- void translate(QPointF offset)
- QPolygonF translated(QPointF offset)
- QPolygonF united(QPolygonF r)
- QPointF value(int i)
- void writeTo(QDataStream stream)

### Instance Properties

QPolygonF objects have no special properties beyond those inherited from the QPolygonF prototype object.